libui-gxmlcpp5v5_1.4.4-3+b1_i386.deb


Advertisement

Description

libui-gxmlcpp5v5 - High-level C++ wrapper library for libxml2/libxslt (run time)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package name libui-gxmlcpp5v5
Package version 1.4.4
Package release 3+b1
Package architecture i386
Package type deb
Installed size 460 B
Download size 124.11 KB
Official Mirror ftp.br.debian.org
"ui-gxmlcpp" is a high-level C++ wrapper around libxml2 and
libxslt. It might be a choice for if your needs are some subset
of:
- XML DOM Tree parsing.
- Basic read/write support from/to trees via XPath.
- Serialization.
- Stylesheets and stylesheet translation support.
- XMLSchema and RelaxNG validation.
If your needs are "lower-level" (e.g., proper DOM tree API
support or SAX parsing), "gdome2" or "xml++" will be the right
choices.
This package provides run time support.

Alternatives

Package Version Architecture Repository
libui-gxmlcpp5v5_1.4.4-3+b1_amd64.deb 1.4.4 amd64 Debian Main
libui-gxmlcpp5v5 - - -

Requires

Name Value
libboost test1.67.0
libc6 >= 2.4
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
libui-utilcpp9v5 >= 1.8.3
libxml2 >= 2.9.0
libxslt1.1 >= 1.1.25

Conflicts

Name Value
libui gxmlcpp5

Replaces

Name Value
libui gxmlcpp5

Download

Type URL
Binary Package libui-gxmlcpp5v5_1.4.4-3+b1_i386.deb
Source Package ui-gxmlcpp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libui-gxmlcpp5v5 deb package:
    # sudo apt-get install libui-gxmlcpp5v5

Files

Path
/usr/lib/i386-linux-gnu/libui-gxmlcpp.so.5
/usr/lib/i386-linux-gnu/libui-gxmlcpp.so.5.0.1
/usr/lib/libui-gxmlcpp5v5/examples/ui-gxmlcpp-compat-unittests
/usr/lib/libui-gxmlcpp5v5/examples/ui-gxmlcpp-sp2ui
/usr/lib/libui-gxmlcpp5v5/examples/ui-gxmlcpp-unittests
/usr/lib/libui-gxmlcpp5v5/examples/ui-gxmlcpp-version
/usr/lib/libui-gxmlcpp5v5/examples/ui-gxmlcpp-xsltproc
/usr/share/doc/libui-gxmlcpp5v5/changelog.Debian.gz
/usr/share/doc/libui-gxmlcpp5v5/changelog.Debian.i386.gz
/usr/share/doc/libui-gxmlcpp5v5/changelog.gz
/usr/share/doc/libui-gxmlcpp5v5/copyright

Changelog

2018-05-17 - Stephan Sürken <absurd@debian.org>
ui-gxmlcpp (1.4.4-3) unstable; urgency=medium
* [844e7cf] control: Add missing b-d for ui-auto (needed after dh 10
update which triggers autoreconf). (also Closes: 793888)
2018-04-29 - Stephan Sürken <absurd@debian.org>
ui-gxmlcpp (1.4.4-2) unstable; urgency=medium
* [771b7b6] control: Update Vcs URLs after salsa move.
* [c800afa] debian: Update to dh level 10 (removes autotools-dev
support).
* [454d065] control: Update Std-Ver to 4.1.4 (no changes needed).
2016-08-08 - Stephan Sürken <absurd@debian.org>
ui-gxmlcpp (1.4.4-1) unstable; urgency=medium
* [1c65c75] Drop *-dbg package (now that we have dbgsym).
* [28e1599] control: Update b-d on debhelper to assure dbgsym support
(>= 9.20160114~).
* [7aa7dc0] control: Update Stds-Vers to 3.9.6 (no changes needed).
* [5ec3dca] control: Update Vcs-* to 'anonscm'.
* [814d4c5] control: Update b-d for ui-utilcpp: >= 1.8.5 (for auto_ptr
compat support).
* [5bf9472] Imported Upstream version 1.4.4
2015-09-14 - Stephan Sürken <absurd@debian.org>
ui-gxmlcpp (1.4.3-2) unstable; urgency=medium
* [a33b1a4] control: Rename to libui-gxmlcpp5 to libui-gxmlcpp5v5 (GCC5
C++ ABI transition).
* [e0f1db0] control: Add Conflict/Replaces for old lib package (GCC5 C++
ABI transition).
* [9215ee8] debian/gbp.conf: Add (default to pristine-tar).
2014-08-05 - Stephan Sürken <absurd@debian.org>
ui-gxmlcpp (1.4.3-1) unstable; urgency=medium
* [dca9f82] Add debian/.gitignore.
* [0d832ee] Remove debian/gbp.conf (no longer using git-svn, mimicking
svn-bp)
* [78fd8ae] Update to debhelper 9 (hardening, multiarch).
* [f7e91e5] control: Update Homepage, VCS and Maintainer entries.
* [d37a07c] control: Update package description.
* [1ef72f6] rules: Remove explicit code for DEB_BUILD_OPTIONS (no longer
needed).
* [055264d] control, rules: Add support for autotools-dev.
* [5c53bf8] control: Use one line per dep.
* [2d3ca95] rules: Give dbg package option to dh directly, and don't run
with '+' prefix.
* [12778e2] control: Update Stds-Ver to 3.9.5 (no changes needed).
* [3314159] *.install: Make compatible with non-multiarch dists.
* [a9550b8] copyright: Update, make machine-readable.
* [d719507] libui-gxmlcpp-dev.doc-base: Update title.
* [2d76166] copyright: Upstream: Fix FSF postal address.
* [5548277] Imported Upstream version 1.4.3
* [5e08550] control: Pimp b-d for libui-utilcpp-dev to 1.8.3-2~
(guarantee LFS-enabled utilcpp)
* [27cf45b] rules: Add explicit versioned shlibs: >= 1.4.3 (LFS).
* Initial upload to Debian (Closes: 756279).
2014-07-28 - Stephan Sürken <absurd@debian.org>
ui-gxmlcpp (1.4.2.snapshot20140728165639weslok-1) unstable; urgency=medium
* Temp release to initially move to alioth.
2012-05-08 - Stephan Sürken <stephan.suerken@1und1.de>
ui-gxmlcpp (1.4.2-2~uiSID+1) sid-ui; urgency=low
[ srken ]
* [1ce3433] control: Fix section for -dbg package to "debug".
* [8125ac9] control: Update b-d for ui-utilcpp >= 1.7 (IPv6).
* [4f9ef5b] Initiale experimental IPv6 rebuild.
* [ccc1421] control: Foix stds-vers to 3.9.3.
* [a6a8ed5] debian/control: Update b-d to new stable ui-utilcpp 1.8.
* [1eeb003] debian/libversion_change: Make work for git as well.
* [a88061a] Prepare changelog for 1.4.2-2.
* [c9dea27] Add git-buildpackage conf, so we can use git-buildpackage
"like" svn-buildpackage in merge-upstream mode.
* MINI_BUILDD: AUTO_BACKPORTS: squeeze-ui,
2011-05-31 - Stephan Sürken <stephan.suerken@1und1.de>
ui-gxmlcpp (1.4.2-1~ui60+1) squeeze-ui; urgency=low
* control: Deps update for squeeze.

See Also

Package Description
libui-utilcpp-dev_1.8.5-3+b1_i386.deb UI C++ utility library (development)
libui-utilcpp9v5_1.8.5-3+b1_i386.deb UI C++ utility library (run time)
libuid-wrapper_1.2.4+dfsg1-1_i386.deb UID wrapper library
libuil4_2.3.8-2_i386.deb Motif - UIL (User Interface Language) shared library
libuim-custom2_1.8.8-3+b2_i386.deb Universal Input Method - uim-custom API library
libuim-dev_1.8.8-3+b2_i386.deb Universal Input Method - development files
libuim-scm0_1.8.8-3+b2_i386.deb Universal Input Method - uim-scm API library
libuim8_1.8.8-3+b2_i386.deb Universal Input Method - uim library
libuima-adapter-soap-java_2.10.2-3_all.deb Library to provide SOAP web services within UIMA
libuima-adapter-vinci-java_2.10.2-3_all.deb Library to provide Vinci web services within UIMA
libuima-addons-java_2.3.1-8_all.deb Apache UIMA Addons
libuima-as-java-doc_2.3.1-9_all.deb Documentation for Apache UIMA Asynch Scaleout framework
libuima-as-java_2.3.1-9_all.deb Apache UIMA Asynch Scaleout framework
libuima-core-java_2.10.2-3_all.deb Core library for the UIMA framework
libuima-cpe-java_2.10.2-3_all.deb Library for the UIMA Collection Processing Engine
Advertisement
Advertisement